#!/usr/bin/perl

$whoami = shift;
$whereami = shift;

$staging = $ENV{'STAGINGDIR'};
$licfile =  "$whereami/Component.lic";
$outfile = "$staging/licenses.txt";

if (-e $licfile) {
	open INFILE, $licfile or die $!;
	@lines = <INFILE>;
	close INFILE;

	open FILE, ">>$outfile" or die $!;
	foreach $line (@lines) {
		$lastchar=substr( $line , -1);
		if ("$lastchar" eq "\n" || "$lastchar" eq "\r") {
			print FILE "$whoami:$line";
		}
		else {
			print FILE "$whoami:$line\n";
		}

	}
	close FILE;
} else {
	print ">>>>>>>>WARNING: $whoami is missing a license file\n";
}