/*
 * ============================================================================
 *
 * Copyright : (c) 2005 SAGEM SA - Site Velizy - URD2
 *
 * The information and source code contained herein is the exclusive
 * property of SAGEM and may not be disclosed, examined, or
 * reproduced in whole or in part without explicit written authorization
 * of the company.
 *
 * ============================================================================
 */

#ifndef __BSP_COMMON_H
#define __BSP_COMMON_H

/*
 * Typedefs
 * ~~~~~~~~
 */

#ifndef __KERNEL__
/** \name Type for userland Typedefs.
 *  */
/*@{*/
/** Unsigned 1 byte. */
typedef uint8_t                              __u8;
/** Signed 1 byte. */
typedef int8_t                               __s8;
/** Unsigned 2 bytes. */
typedef uint16_t                             __u16;
/** Signed 2 bytes. */
typedef int16_t                              __S16;
/** Unsigned 4 bytes. */
typedef uint32_t                             __u32;
/** Signed 4 bytes. */
typedef int32_t                              __s32;
/*@}*/
#endif


#endif
