/*
 * ============================================================================
 *
 * Copyright : (c) 2005 SAGEM SA - Site Velizy - URD2
 *
 * The information and source code contained herein is the exclusive
 * property of SAGEM and may not be disclosed, examined, or
 * reproduced in whole or in part without explicit written authorization
 * of the company.
 *
 * ============================================================================
 */

/**
 * \file bsp_krnopt.c Bsp Krn Opt functions
 *
 * This file contain all Bsp Krn Opt functions.
 */

/*
 * Includes
 * ~~~~~~~~
 */

#include "bsp_pri.h"

/*
 * Functions
 * ~~~~~~~~~~
 */

/** Get Kernel Option. */
pBsp_env_krnopt_s bsp_get_env_krnopt(	void)
{
	/* Param */
	return(&(bsp_base.Env.Krnopt));
}
EXPORT_SYMBOL(bsp_get_env_krnopt);

// vim:ts=5:
