#ifndef __BUTTON_HW_H__
#define __BUTTON_HW_H__

// to enum the buttons
typedef enum _BOARD_BUTTON_NAME
{
	kButtonReset,
	kButtonReboot,
	kButtonPairing,
	kButtonWifiOn,
	kButtonWakeupDisplay,
	kButtonEnd
} BOARD_BUTTON_NAME;

// the enum the actions/states of buttons
typedef enum _BOARD_BUTTON_STATE
{
	kButtonReleased,
	kButtonPushed,
} BOARD_BUTTON_STATE;

BOARD_BUTTON_STATE kbutton_hw_get_state(BOARD_BUTTON_NAME button);
void kbutton_hw_init(void);

#endif

