/*
 * Copyright (c) 2010 SoftAtHome
 *
 * The information and source code contained herein is the exclusive
 * property of SoftAtHome and may not be disclosed, examined, or
 * reproduced in whole or in part without explicit written authorization
 * of the copyright owner.
 *
 * sah_accel.h - Queue2 acceleration interface
 *
 * 2010/10/01 Initial, Wouter Cloetens.
 */

#ifndef _SAH_LINUX_ACCEL_H
#define _SAH_LINUX_ACCEL_H
struct accel_entry {
	uint32_t src, dst;
	uint16_t sport, dport;
	char ifname[16];
	int proto;
};

/* Set up (create = 1) or destroy (create = 0) acceleration rules. Returns 0 on success. */
int accel_setup_rule(const struct accel_entry *e, int create);

#endif /* _SAH_LINUX_ACCEL_H */
