VERSION=1.2.5
PROGRAM=libz.so.$(VERSION)

#ifeq ($(notdir $(CC)),gcc)
#	CFG:=--host=i386-linux --enable-shared --with-gnu-ld
#else
#	CFG:=--build=i386-linux --host=mips-linux
#endif

z.pc: z.pc.m4 $(STAGINGDIR)/components.config
	cat $(STAGINGDIR)/components.config.m4 $< | m4 > $@

$(PROGRAM):
	./configure $(CFG) --prefix=$(STAGINGDIR) 
	make 

all: $(PROGRAM)

clean:
	-make distclean

install: all z.pc
	@echo " ##   Installing $(PROGRAM)"
	#make install
	$(INSTALL) -d $(STAGINGDIR)/include/zlib
	$(INSTALL) *.h $(STAGINGDIR)/include/zlib
	$(INSTALL) -d $(STAGINGDIR)/lib
	$(INSTALL) -m 755 libz.so.$(VERSION) $(STAGINGDIR)/lib/
	cd $(STAGINGDIR)/lib ; ln -sf libz.so.$(VERSION) libz.so.1
	cd $(STAGINGDIR)/lib ; ln -sf libz.so.$(VERSION) libz.so
	$(INSTALL) -D -m 0644 z.pc $(PKG_CONFIG_LIBDIR)/z.pc

release:
	@echo " ##   Releasing $(PROGRAM)"
	$(INSTALL) -d $(ROOT_FS_DIR)/lib
	$(INSTALL) -m 755 libz.so.$(VERSION) $(ROOT_FS_DIR)/lib/
	cd $(ROOT_FS_DIR)/lib ; ln -sf libz.so.$(VERSION) libz.so.1
	cd $(ROOT_FS_DIR)/lib ; ln -sf libz.so.$(VERSION) libz.so

doc:

.PHONY: all install release clean doc

