export VERSION=3.0.37
SUBDIRS = samba-3.0.37

all:
	for dir in ${SUBDIRS}; do (cd $$dir; ${MAKE} -f Component.mk); done

clean:
	for dir in ${SUBDIRS}; do (cd $$dir; ${MAKE} -f Component.mk clean); done

install:	
	for dir in ${SUBDIRS}; do (cd $$dir; ${MAKE} -f Component.mk install); done

release:
	for dir in ${SUBDIRS}; do (cd $$dir; ${MAKE} -f Component.mk release); done

build_package:
	make -f Component.mk release ROOT_FS_DIR=$(COMP_PACKAGE_DIR)

release_package:
	cp -af $(COMP_PACKAGE_DIR)/* $(ROOT_FS_DIR)

.PHONY: all clean install release build_package release_package


