#if !defined(COMPONENTS_CONFIG_H)
#define COMPONENTS_CONFIG_H
#define CONFIG_CROSS_COMPILE "/opt/softathome/toolchain/vx185-mips-linux-uclibc-gcc4.2.4-uclibc0.9.30/bin/mips-linux-uclibc-"
#define CONFIG_KERNEL_CROSS_COMPILE "$(CONFIG_CROSS_COMPILE)"
#define CONFIG_BUILD_LEGACY_RELEASEDIR 1
#define CONFIG_BUILD_NO_CCACHE 1
#define CONFIG_SAH_KERNEL 1
#define CONFIG_SAH_LIB_CURL 1
#define CONFIG_SAH_LIB_DAEMON 1
#define CONFIG_SAH_LIB_DNSRES 1
#define CONFIG_SAH_LIB_EXIF 1
#define CONFIG_SAH_LIB_EXPAT 1
#define CONFIG_SAH_LIB_FFMPEG 1
#define CONFIG_SAH_LIB_FFMPEG_OPTIMIZED_BY_SIZE 1
#define CONFIG_SAH_LIB_FREETYPE 1
#define CONFIG_SAH_LIB_ICONV 1
#define CONFIG_SAH_LIB_JPEG 1
#define CONFIG_SAH_LIB_MAFIA 1
#define CONFIG_SAH_LIB_NCURSES 1
#define CONFIG_SAH_LIB_NEON 1
#define CONFIG_SAH_LIB_NTFS3G 1
#define CONFIG_SAH_LIB_OPENSSL 1
#define CONFIG_SAH_LIB_OPENSSLAPI 1
#define CONFIG_SAH_LIB_OPENSSL_API_BUILD_HGW 1
#define CONFIG_SAH_LIB_SCEW 1
#define CONFIG_SAH_LIB_SDL 1
#define CONFIG_SAH_LIB_SQLITE 1
#define CONFIG_SAH_LIB_TROPICSSL 1
#define CONFIG_SAH_LIB_UPNP 1
#define CONFIG_SAH_LIB_UPNP_ENABLE_IPV6 1
#define CONFIG_SAH_LIB_YAJL 1
#define CONFIG_SAH_LIB_ZLIB 1
#define CONFIG_SAH_SERVICES_AVAHI 1
#define CONFIG_SAH_SERVICES_BRIDGE_UTILS 1
#define CONFIG_SAH_SERVICES_BUSYBOX 1
#define CONFIG_SAH_SERVICES_SAMBA_DEFAULT_ENABLE 1
#define CONFIG_SAH_SERVICES_SAMBA_DEFAULT_WORKGROUP "WORKGROUP"
#define CONFIG_SAH_SERVICES_SAMBA_DEFAULT_SERVER_NAME "Livebox"
#define CONFIG_SAH_SERVICES_SAMBA_DEFAULT_SERVER_DESCRIPTION "Livebox"
#define CONFIG_SAH_SERVICES_CUPS 1
#define CONFIG_CUPSD_BUILD_LIBRARY_LIBCUPS 1
#define CONFIG_CUPSD_BUILD_LIBRARY_LIBCUPSIMAGE 1
#define CONFIG_CUPSD_BUILD_BACKEND 1
#define CONFIG_CUPSD_BUILD_BACKEND_IPP 1
#define CONFIG_CUPSD_BUILD_BACKEND_LPD 1
#define CONFIG_CUPSD_BUILD_BACKEND_PARALLEL 1
#define CONFIG_CUPSD_BUILD_BACKEND_SCSI 1
#define CONFIG_CUPSD_BUILD_BACKEND_SERIAL 1
#define CONFIG_CUPSD_BUILD_BACKEND_SNMP 1
#define CONFIG_CUPSD_BUILD_BACKEND_SOCKET 1
#define CONFIG_CUPSD_BUILD_BACKEND_USB 1
#define CONFIG_CUPSD_BUILD_BACKEND_CUPS_PDF 1
#define CONFIG_CUPSD_BUILD_FILTER 1
#define CONFIG_CUPSD_BUILD_FILTER_GZIPTOANY 1
#define CONFIG_CUPSD_BUILD_FILTER_HPGLTOPS 1
#define CONFIG_CUPSD_BUILD_FILTER_IMAGETOPS 1
#define CONFIG_CUPSD_BUILD_FILTER_IMAGETORASTER 1
#define CONFIG_CUPSD_BUILD_FILTER_PSTOPS 1
#define CONFIG_CUPSD_BUILD_FILTER_RASTERBENCH 1
#define CONFIG_CUPSD_BUILD_FILTER_RASTERTOEPSON 1
#define CONFIG_CUPSD_BUILD_FILTER_RASTERTOHP 1
#define CONFIG_CUPSD_BUILD_FILTER_RASTERTOLABEL 1
#define CONFIG_CUPSD_BUILD_FILTER_TEXTTOPS 1
#define CONFIG_CUPSD_BUILD_FILTER_PDFTOPS 1
#define CONFIG_CUPSD_BUILD_SCHEDULER 1
#define CONFIG_CUPSD_BUILD_SCHEDULER_CUPSD 1
#define CONFIG_CUPSD_BUILD_SCHEDULER_CUPSD_USBSPOOLING 1
#define CONFIG_CUPSD_BUILD_SCHEDULER_CUPSD_FIFOSPOOLING 1
#define CONFIG_CUPSD_BUILD_SCHEDULER_CUPSD_TRANSLATE_PRINTER_URL 1
#define CONFIG_CUPSD_BUILD_SCHEDULER_CUPSFILTER 1
#define CONFIG_CUPSD_BUILD_TOOLS_BERKELEY 1
#define CONFIG_CUPSD_BUILD_TOOLS_LPC 1
#define CONFIG_CUPSD_BUILD_TOOLS_LPQ 1
#define CONFIG_CUPSD_BUILD_TOOLS_LPR 1
#define CONFIG_CUPSD_BUILD_TOOLS_LPRM 1
#define CONFIG_CUPSD_BUILD_TOOLS_SYSTEMV 1
#define CONFIG_CUPSD_BUILD_TOOLS_ACCEPT 1
#define CONFIG_CUPSD_BUILD_TOOLS_CANCEL 1
#define CONFIG_CUPSD_BUILD_TOOLS_CUPSADDSMB 1
#define CONFIG_CUPSD_BUILD_TOOLS_CUPSCTL 1
#define CONFIG_CUPSD_BUILD_TOOLS_LP 1
#define CONFIG_CUPSD_BUILD_TOOLS_LPADMIN 1
#define CONFIG_CUPSD_BUILD_TOOLS_LPINFO 1
#define CONFIG_CUPSD_BUILD_TOOLS_LPMOVE 1
#define CONFIG_CUPSD_BUILD_TOOLS_LPOPTIONS 1
#define CONFIG_CUPSD_BUILD_TOOLS_LPPASSWD 1
#define CONFIG_CUPSD_BUILD_TOOLS_LPSTAT 1
#define CONFIG_CUPSD_BUILD_TOOLS_NOTIFIER 1
#define CONFIG_CUPSD_BUILD_TOOLS_MAILTO 1
#define CONFIG_CUPSD_BUILD_TOOLS_RSS 1
#define CONFIG_CUPSD_BUILD_TOOLS_MONITOR 1
#define CONFIG_CUPSD_BUILD_TOOLS_BCP 1
#define CONFIG_CUPSD_BUILD_TOOLS_TBCP 1
#define CONFIG_SAH_SERVICES_DEVDISCD 1
#define CONFIG_SAH_SERVICES_DNSMASQ 1
#define CONFIG_SAH_SERVICES_EBTABLES 1
#define CONFIG_SAH_SERVICES_ENV 1
#define CONFIG_SAH_SERVICES_ETHERWAKE 1
#define CONFIG_SAH_SERVICES_FUSE 1
#define CONFIG_FUSE_FORCE_FUSERMOUNT 1
#define CONFIG_SAH_SERVICES_FUSEPLUGINS_WDFS 1
#define CONFIG_SAH_SERVICES_FUSEPLUGINS_WDFS_READCACHESIZE 1048576
#define CONFIG_SAH_SERVICES_FUSEPLUGINS_WDFS_WRITECACHESIZE 1048576
#define CONFIG_SAH_SERVICES_IPROUTE2 1
#define CONFIG_IPROUTE2_WFQ_EXTENSIONS 1
#define CONFIG_SAH_SERVICES_IPTABLES 1
#define CONFIG_IPTABLES_TC_EXTENSIONS 1
#define CONFIG_IPTABLES_TC_IMARK 1
#define CONFIG_IPTABLES_IPV6 1
#define CONFIG_SAH_SERVICES_IPUTILS 1
#define CONFIG_SAH_SERVICES_L2TP 1
#define CONFIG_SAH_SERVICES_MTD_UTILS 1
#define CONFIG_SAH_SERVICES_MTD_UBIFS_TOOLS 1
#define CONFIG_SAH_SERVICES_NDISC6 1
#define CONFIG_SAH_SERVICES_NDISC6_NDISC6 1
#define CONFIG_SAH_SERVICES_OPENNTPD 1
#define CONFIG_SAH_SERVICES_PCB 1
#define CONFIG_SAH_SERVICES_PPP 1
#define CONFIG_SAH_SERVICES_PROCPS 1
#define CONFIG_SAH_SERVICES_RADVD 1
#define CONFIG_SAH_SERVICES_RAPLUGIN 1
#define CONFIG_SAH_SERVICES_SAMBA 1
#define CONFIG_SAH_SERVICES_UPNPDISCD 1
#endif
