#!/bin/sh

# CWD has to be //depot/config
# getconfigs.sh <version> <editor>
#   e.g. getconfigs.sh 4.5.100 gedit

TMP_FILE=/tmp/version.txt
CONFIGS=

if [ "$1" ]    # version is defined
then
	CONFIGS=`find . -name project.list | grep $1 | sed "s/.\///" | sed "s/\/project.list//"`
else
	CONFIGS=`find . -name project.list | sed "s/.\///" | sed "s/\/project.list//"`
fi

if [ "$CONFIGS" ]
then
	if [ "$2" ]  # preferred editor is defined
	then
		echo $CONFIGS | sed "s/ /\n/g" > $TMP_FILE  ; $2 $TMP_FILE ; rm $TMP_FILE
	else
		echo $CONFIGS | sed "s/ /\n/g"
	fi
else
	echo -e "\nNo configs found\n"
fi
