#!/bin/bash
P4="p4 -p sahwp4s01.be.softathome.com:1666"

search_label=$1
function p4_dep_lookup 
{
    p4_path=$1
    slabel=$2
    version_list=`$P4 dirs $p4_path/* 2>/dev/null`
    for i in $version_list
    do
        dir=`basename $i`
        if [ "$dir" == "MAIN" ] || [ "$dir" == "BASE" ]; then
            output=`$P4 print $i/Component.dep 2>/dev/null | grep -n $slabel `
            if [ $? -eq 0 ]; then
                echo "Found $slabel in $i/Component.dep $output"
            fi
        elif [ "$dir" == "DEV" ] || [ "$dir" == "REL" ]; then
            continue 
        else
            p4_dep_lookup $i "$slabel"
        fi
    done
}

p4_dep_lookup "//depot" "$search_label"
exit 0
