#ifndef __KHCO_LED_API_H__
#define __KHCO_LED_API_H__

// to enum the leds
typedef enum _BOARD_LED_NAME
{   
/*< --dimm. Generic part for LB-mini */
	kLedPower,
	kLedInternetRed,
	kLedInternetGreen,
	kLedVoip,
	kLedLan,
	kLedWireless,
	kLedUpgrade,
/*> End of generic part for LB-mini */
/* --dimm  Board specific part */
	kLedEmac1Act,
	kLedEmac1Speed,
	kLedAdsl,
	kLedUsb,
	kLedHpna,
	kLedWanData,
	kLedPPP,
	kLedSelfTest,
	kLedEnd		//NOTE: Insert the new led name before this one. this one should always be the last one!
} BOARD_LED_NAME;

void kled_hw_set_on(BOARD_LED_NAME led);
void kled_hw_set_off(BOARD_LED_NAME led);
void kled_hw_set_onfail(BOARD_LED_NAME led);
void kled_hw_set_offfail(BOARD_LED_NAME led);
void kled_hw_init(void);

#endif /* __KHCO_LED_API_H__ */

