all:
	@echo "building JPEG Library"
	make
	
clean:
	@echo "cleaning jpeg"
	if [ -f Makefile ]; then make clean; fi

install:
	@echo "installing jpeg to: " $(STAGINGDIR)
	$(INSTALL) -d $(STAGINGDIR)/include/libjpeg
	$(INSTALL) ./*h $(STAGINGDIR)/include/libjpeg
	$(INSTALL) -d $(STAGINGDIR)/lib
	cp libjpeg.a $(STAGINGDIR)/lib/libjpeg.a

.PHONY: clean install release