Q=@
RADVD=radvd

ifeq ($(notdir $(CC)),gcc)
	CFG:=--host=i386-linux --enable-shared --with-gnu-ld
else
	CFG:=--build=i386-linux --host=mips-linux
endif

all: Makefile $(RADVD) 

Makefile:
	LDFLAGS+="-L." CFLAGS="-DIPV6_HOPLIMIT" ./configure $(CFG) --prefix=$(STAGINGDIR) --sysconfdir="/var/etc/ra/" --with-pidfile=/var/run/radvd/radvd.pid

libfl.a: fl.c
	@echo " ##   Make libfl.a (yywrap())"
	$(CC) -c -0s -g -o fl.o $<
	$(AR) cru $@ fl.o

$(RADVD): libfl.a
	@echo " ##   Make radvd"
	make 

clean:
	@echo " ##   Clean radvd"
	-make distclean
	rm -rf libfl.a

install:
	@echo " ##   Installing radvd"
	make install

release:
	@echo " ##   Releasing radvd"
	$(INSTALL) -d $(ROOT_FS_DIR)/sbin
	$(INSTALL) -m 755 radvd $(ROOT_FS_DIR)/sbin/radvd
	$(STRIP) $(ROOT_FS_DIR)/sbin/radvd

doc:

.PHONY: all install release clean doc

